CERNbox client with ubuntu 22.04

Hello,

I am trying to install the cernbox client on the very last ubuntu distribution 22.04 and I encounterd some issues. I have followed the instructions of Install Linux Packages | CERNBox: CERN Cloud Storage Hub and here is the situation (or what I understand from it):

  • there is currently no repository for 22.04
  • If I try to instal the one for 20.04, I get the following error:
The following packages have unmet dependencies:
 ocqt51210-libqt5core5a : Depends: libicu67 (>= 67.1-1~) but it is not installable
 ocqt51210-libqt5network5 : Depends: libssl1.1 (>= 1.1.1) but it is not installable
E: Unable to correct problems, you have held broken packages.

Do you know if I missed something, or maybe I am doing something wrong?

Thanks for your help!
Cheers,
Romain

Dear Romain,

You can try our experimental packages (for the 2.10.1 beta cernbox-client) that live in:

https://cernbox.cern.ch/cernbox/doc/Linux/repo.2.10.1/Ubuntu_22.04/

You should be able to follow the rest of the instructions on our website just by modifying the repo URL.

Thank you for your report and interest in CERNBox.
Best,
Samuel

Hi Samuel,

Thanks very much for the pointer. Cernbox client seems to be working well from this repo.